Quote a withdrawal
curl --request POST \
--url https://api.example.com/v1/cashier-ui/withdrawals/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Cashier-Instance-Id: <x-cashier-instance-id>' \
--data '
{
"amount": "25.00",
"currency": "EUR",
"methodChoiceId": "<string>"
}
'import requests
url = "https://api.example.com/v1/cashier-ui/withdrawals/quote"
payload = {
"amount": "25.00",
"currency": "EUR",
"methodChoiceId": "<string>"
}
headers = {
"X-Cashier-Instance-Id": "<x-cashier-instance-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Cashier-Instance-Id': '<x-cashier-instance-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: '25.00', currency: 'EUR', methodChoiceId: '<string>'})
};
fetch('https://api.example.com/v1/cashier-ui/withdrawals/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/cashier-ui/withdrawals/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '25.00',
'currency' => 'EUR',
'methodChoiceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Cashier-Instance-Id: <x-cashier-instance-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/cashier-ui/withdrawals/quote"
payload := strings.NewReader("{\n \"amount\": \"25.00\",\n \"currency\": \"EUR\",\n \"methodChoiceId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/cashier-ui/withdrawals/quote")
.header("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"25.00\",\n \"currency\": \"EUR\",\n \"methodChoiceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/cashier-ui/withdrawals/quote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Cashier-Instance-Id"] = '<x-cashier-instance-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"25.00\",\n \"currency\": \"EUR\",\n \"methodChoiceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}Cashier player
Quote a withdrawal
POST
/
v1
/
cashier-ui
/
withdrawals
/
quote
Quote a withdrawal
curl --request POST \
--url https://api.example.com/v1/cashier-ui/withdrawals/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Cashier-Instance-Id: <x-cashier-instance-id>' \
--data '
{
"amount": "25.00",
"currency": "EUR",
"methodChoiceId": "<string>"
}
'import requests
url = "https://api.example.com/v1/cashier-ui/withdrawals/quote"
payload = {
"amount": "25.00",
"currency": "EUR",
"methodChoiceId": "<string>"
}
headers = {
"X-Cashier-Instance-Id": "<x-cashier-instance-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Cashier-Instance-Id': '<x-cashier-instance-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({amount: '25.00', currency: 'EUR', methodChoiceId: '<string>'})
};
fetch('https://api.example.com/v1/cashier-ui/withdrawals/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/v1/cashier-ui/withdrawals/quote",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'amount' => '25.00',
'currency' => 'EUR',
'methodChoiceId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Cashier-Instance-Id: <x-cashier-instance-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/v1/cashier-ui/withdrawals/quote"
payload := strings.NewReader("{\n \"amount\": \"25.00\",\n \"currency\": \"EUR\",\n \"methodChoiceId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/v1/cashier-ui/withdrawals/quote")
.header("X-Cashier-Instance-Id", "<x-cashier-instance-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"amount\": \"25.00\",\n \"currency\": \"EUR\",\n \"methodChoiceId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/v1/cashier-ui/withdrawals/quote")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Cashier-Instance-Id"] = '<x-cashier-instance-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"amount\": \"25.00\",\n \"currency\": \"EUR\",\n \"methodChoiceId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"error": "RATE_LIMITED",
"errorCode": "RATE_LIMITED",
"message": "Too many requests. Retry after the indicated delay.",
"status": false,
"statusCode": 429
}{
"error": "DUPLICATE_ORDER_ID",
"errorCode": "DUPLICATE_ORDER_ID",
"message": "A transaction with orderId \"A-1001\" already exists for this merchant",
"status": false,
"statusCode": 409,
"existingTransactionId": "tr_x8k2p0q5scocndpejk0nud75q",
"fields": [
"customer.email",
"customer.country"
],
"idempotencyKey": "0b6f2c1e-4c7a-4a43-9a51-6a4b1d7e9f10",
"orderId": "A-1001"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json